# [Aesthetics](https://duaneadam.github.io/aesthetics)

Aesthetics is a simple, modern and powerful front-end framework for faster and easier web development while keeping developers sane.

To get started, check out the docs. [https://duaneadam.github.io/aesthetics/docs](https://duaneadam.github.io/aesthetics/docs)

## Quickstart For Non-Rails Projects

To get going with Aesthetics you can:

- Download the latest stable release from the dist folder
- Install using Bower: bower install aesthetics

## Rails Setup
Add this line to your application's Gemfile:

  ```
  gem 'aesthetics', :git => "git://github.com/duaneadam/aesthetics.git"
  ```

And then execute

  ```
  bundle
  ```

Append the following line to your application.css

  ```
  /*= require aesthetics */
  ```

If you're planning on using Sass, then you'll want to rename application.css to application.scss. That file should then look like:

  ```
  @import "aesthetics";
  ```

## Primary Contributors

- [Duane Adam](https://twitter.com/duaneadam) - <contact@duaneadam.me>

### How To Contribute

  1. Go to branch master

    ```
    git checkout master
    ```

  2. Pull latest change from origin/master

    ```
    git pull origin master
    ```

  3. Create a new feature branch

    ```
    git checkout my-new-feature
    ```

  4. Push your work

    ```
    git push origin my-new-feature
    ```

  5. Create a new pull request on Github

### Proper pull requests

* https://help.github.com/articles/using-pull-requests

## Special Thanks

- Fat from Medium for his superb article on CSS which inspired me to start writing better CSS.
  [https://medium.com/@fat/mediums-css-is-actually-pretty-fucking-good-b8e2a6c78b06](https://medium.com/@fat/mediums-css-is-actually-pretty-fucking-good-b8e2a6c78b06)

- Colleagues from MindvalleyFlex for letting me try out things and do what I love